#!/bin/sh
# run this in source directory
for dir in ../packed/? ;
do
  for list in $dir/*.lsz ;
  do
    zipfile=`echo $list|sed -e s/lsz$/zip/`
    zi7file=`echo $list|sed -e s/lsz$/zi7/`
    echo ZIP  $list $zipfile
    gunzip < $list | zip -0 -@ $zipfile
    echo LZMA $zipfile $zi7file
    lzma e $zipfile $zi7file
    rm $zipfile 
  done
done
