package fr.wikimedia.miniServer;

import java.util.Formatter;
import java.io.*;
import java.util.*;
import java.util.zip.*;

class ManyZipFileSorter {

    public static void main(String[] args) throws IOException {
	int modulo = Integer.parseInt(args[0]);
	ManyZipFileBuckets buckets = new ManyZipFileBuckets(args[1], modulo);
	BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
	ArrayList <Set<String>> lists = new ArrayList <Set<String>> ();
	for(int i=0; i<modulo; i++) {
	    lists.add(new TreeSet <String> ());
	}

	while (true) {
	    String filename = input.readLine();
	    if (filename == null) break;
	    lists.get(buckets.hash(filename)).add(filename);
	}
	input.close();

	for(int i=0; i<modulo; i++) {
	    Writer indexFile = buckets.indexOutputWriter(i);
	    for(String filename : lists.get(i)) {
		indexFile.write(filename);
		indexFile.write('\n');
	    }
	    indexFile.close();
	}
    }
}
